services:
  samba:
    image: ghcr.io/servercontainers/samba:latest
    container_name: samba
    restart: unless-stopped
    network_mode: host
    volumes:
      - /opt/samba/media:/shares/media
      - /opt/samba/documents:/shares/documents
      - /opt/samba/backups_win:/shares/backups_win
    environment:
      ACCOUNT_ada: ${SAMBA_PASSWORD}
      UID_ada: "1000"
      SAMBA_VOLUME_CONFIG_media: "[media]; path = /shares/media; valid users = ada; read only = no"
      SAMBA_VOLUME_CONFIG_documents: "[documents]; path = /shares/documents; valid users = ada; read only = no"
      SAMBA_VOLUME_CONFIG_backups_win: "[backups_win]; path = /shares/backups_win; valid users = ada; read only = no"
